#87 Wrong highlighter format

v1.0_(example)
closed
nobody
1
2014-02-08
2014-02-06
Arnaud
No

Hi,

The color format (highlighter) of an R code following characters "\\" is wrongly attributed to the string color format.

Example: Copy and paste the following code in Tinn R

gsub("/", "\\\\", text)
mat <- matrix(ncol=2, nrow=2)

Related

Bugs: #87

Discussion

  • Arnaud
    Arnaud
    2014-02-06

    I am using version 3.0.3.3

     
  • jcfaria
    jcfaria
    2014-02-06

    Arnauld,

    Thanks for pointing it out!
    It is no easy to write highlighters for R! :(

    I will try to fix it in the next version.

    For the time being, use the below:

    gsub('/', '\\\\', text)
    mat <- matrix(ncol=2, nrow=2)
    

    HTH,
    J.C.Faria

     
    • Arnaud
      Arnaud
      2014-02-06

      Thanks to take that into account.
      In fact, it worked in the version 2.4.1.7 so I hope that it could be easily
      transposed to the new version.

      Have a good day,

      Arnaud

      2014-02-06 10:15 GMT-05:00 jcfaria jcfaria@users.sf.net:

      Arnauld,

      Thanks for pointing it out!
      It is no easy to write highlighters for R! :(

      I will try to fix it in the next version.

      For the time being, use the below:

      gsub('/', '\\', text)
      mat <- matrix(ncol=2, nrow=2)

      HTH,
      J.C.Faria


      Status: open
      Labels: highlighter wrong color format
      Created: Thu Feb 06, 2014 02:31 PM UTC by Arnaud
      Last Updated: Thu Feb 06, 2014 02:33 PM UTC
      Owner: nobody

      Hi,

      The color format (highlighter) of an R code following characters "\" is
      wrongly attributed to the string color format.

      Example: Copy and paste the following code in Tinn R

      gsub("/", "\\", text)
      mat <- matrix(ncol=2, nrow=2)


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/tinn-r/bugs/87/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #87

      Attachments
  • jcfaria
    jcfaria
    2014-02-06

    It was not so easy, however, was fixed!

    The algorithms of the new R highlighters (Editor and Rterm) are totally different in newer versions of Tinn-R project.

    You will see in the next version: 3.0.3.4 to be released.

    All the best,
    J.C.Faria

     
  • jcfaria
    jcfaria
    2014-02-08

    The stable version 3.0.3.4 was released today.
    The bug was fixed.

    I will close this Ticket.

    J.C.Faria

     
    • Arnaud
      Arnaud
      2014-02-12

      Thanks a lot for your active development of that nice software

      Arnaud

      2014-02-08 9:46 GMT-04:00 jcfaria jcfaria@users.sf.net:

      The stable version 3.0.3.4 was released today.
      The bug was fixed.

      I will close this Ticket.

      J.C.Faria

      Status: open
      Labels: highlighter wrong color format
      Created: Thu Feb 06, 2014 02:31 PM UTC by Arnaud
      Last Updated: Thu Feb 06, 2014 09:56 PM UTC
      Owner: nobody

      Hi,

      The color format (highlighter) of an R code following characters "\" is
      wrongly attributed to the string color format.

      Example: Copy and paste the following code in Tinn R

      gsub("/", "\\", text)
      mat <- matrix(ncol=2, nrow=2)


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/tinn-r/bugs/87/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #87

      Attachments
  • jcfaria
    jcfaria
    2014-02-08

    • status: open --> closed